/***************************************************************************
 *            game.h
 *
 *  Tue Dec 21 18:27:33 2004
 *  Copyright  2004  Jean-Pierre Lozi
 *  jean-pierre@lozi.org - http://gtuxball.lozi.org
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef GAME_H
#define GAME_H

#define LEFT_ARROW				65361
#define RIGHT_ARROW				65363

#define TOP_MESSAGE_Y			300
#define BOTTOM_MESSAGE_Y		330

#define TIMEOUT					15
#define NUM_LIVES				3

#define LOSE_MARGIN				11
#define HIT_MARGIN				6

/* Public functions : */

/* This function is called when the user chooses "New game" from the game menu. */
extern void game_on_new_game ( void );
/* This function is called when the user chooses "Pause game" from the game menu. */
extern void game_on_pause_game ( void );
/* This function is called when the user chooses "Scores..." from the game menu. */
extern void game_on_scores( void );
/* This function is called when the user chooses "End game" from the game menu. */
extern void game_on_end_game ();
/* This function is called when the user presses a key. */
extern void game_on_key_press_event( int key );
/* This function is called when the mouse moves. */
extern void game_on_motion_notify_event( int x, int y );
/* This function is called every STEP milliseconds. */
extern int game_on_timer( void );

#endif
